Page MenuHomePhabricator

Edit collection interface - change pencil icon to cog icon, move delete into settings page
Closed, ResolvedPublic2 Story Points

Description

Based on discussion in T97679

Settings page will have edit title and description, public or private switch, and delete button.

Updated post estimation to more closely resemble mocks with the following items.
Privacy checkbox to rounded tick,
Update privacy label according to mocks.
Added collection name placeholder for when creating a collection.
Added collection description placeholder
Only show delete button if collection exists.

Event Timeline

KHammerstein updated the task description. (Show Details)
KHammerstein raised the priority of this task from to Needs Triage.
KHammerstein added a subscriber: KHammerstein.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 3 2015, 12:51 AM
KHammerstein set Security to None.
KLans_WMF edited a custom field.Jun 8 2015, 4:57 PM
rmoen moved this task from To Do to Doing on the Reading-Web-Sprint-50-The-X-Files board.

Change 220288 had a related patch set uploaded (by Robmoen):
Changes to collection edit interface

https://gerrit.wikimedia.org/r/220288

rmoen updated the task description. (Show Details)Jun 24 2015, 8:19 PM

Change 220288 merged by jenkins-bot:
Changes to collection edit interface

https://gerrit.wikimedia.org/r/220288

phuedx added a subscriber: phuedx.Jun 26 2015, 10:26 AM

I've used the edit interface to update a collection (name, description, and private/public status individually) on BC and it works as expected until I close the overlay, at which point the collection doesn't appear updated. If I refresh the page, then the collection is updated as expected. This experience is especially jarring when I've just set the collection to private from public.

I know that the collection route strips the ID out of the URL and uses that to load the appropriate collection, so a refreshing the page even after the collection's name has been updated and the overlay is closed might be a solution.

You could argue, however, that this is a bug, and you'd expect /Special:Gather/id/<id>/<old_name> to redirect to /Special:Gather/id/<id>/<new_name>.

Mm.. previously it would reload the page.
Sounds like a regression @rmoen?

On the subject of URL: yeh that's another bug that should be filed... it's always been like that.

@phuedx I believe this was an existing bug. Not sure if it is phabricator. but I've changed the name to a collection before and had a redirect issue. Will investigate but I think it is unrelated to my patch.

@phuedx so when making an edit and changing the name, clicking save twice. the page refreshes for me with the old name in the url. The heading gets updated. I suspect you are hitting save to the name change and then hitting the back button. ( At least for me this is how i replicate your report ) At which point it doesn't refresh. Perhaps when the user hits back it should reload the page. This is an existing problem and is unrelated to my patch.

phuedx closed this task as Resolved.Jun 29 2015, 8:31 AM

@rmoen: Neato!